changed 'pveum aclmod' command line arguments
authorDietmar Maurer <dietmar@proxmox.com>
Tue, 14 Feb 2012 11:08:36 +0000 (12:08 +0100)
committerDietmar Maurer <dietmar@proxmox.com>
Tue, 14 Feb 2012 11:08:36 +0000 (12:08 +0100)
We cant use multiple arguments with '-list' types. JSONSchema::get_options is unable to handle that.

Makefile
changelog.Debian
pveum

index 7fae632..4ecfe23 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -2,7 +2,7 @@ RELEASE=2.0
 
 VERSION=1.0
 PACKAGE=libpve-access-control
-PKGREL=9
+PKGREL=10
 
 DESTDIR=
 PREFIX=/usr
index 47ce771..dbd6a30 100644 (file)
@@ -1,3 +1,11 @@
+libpve-access-control (1.0-10) unstable; urgency=low
+
+  * fix ACL group name parser
+  
+  * changed 'pveum aclmod' command line arguments
+
+ -- Proxmox Support Team <support@proxmox.com>  Tue, 14 Feb 2012 12:08:02 +0100
+
 libpve-access-control (1.0-9) unstable; urgency=low
 
   * fix bug in check_volume_access (fixes vzrestore)
diff --git a/pveum b/pveum
index 2c468d0..87a1c05 100755 (executable)
--- a/pveum
+++ b/pveum
@@ -72,8 +72,8 @@ my $cmddef = {
     rolemod => [ 'PVE::API2::Role', 'update_role', ['roleid'] ],
     roledel => [ 'PVE::API2::Role', 'delete_role', ['roleid'] ],
 
-    aclmod => [ 'PVE::API2::ACL', 'update_acl', ['path', 'roles'], { delete => 0 }],
-    acldel => [ 'PVE::API2::ACL', 'update_acl', ['path', 'roles'], { delete => 1 }],
+    aclmod => [ 'PVE::API2::ACL', 'update_acl', ['path'], { delete => 0 }],
+    acldel => [ 'PVE::API2::ACL', 'update_acl', ['path'], { delete => 1 }],
 };
 
 my $cmd = shift;